Subject: Re: Ctrl-Z
From: [email-masked] (Chris Faylor)

9 Aug 1997 16:59:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
    <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
Geoffrey Noer  <[email-masked]> wrote:
>[...]
>>Ctrl-Z IS NOT USED FOR MARKING THE END OF FILE SINCE MS-DOS
>>2.0!!!!!!!!!!!!
>>
>>Does gnu-win32 want to be compatible with DOS 1.0?
>>
>>The real problem behind this, and that is why it makes me mad, is that
>>nobody at Cygnus is reading this bug reports, so the same unfixed bugs
>>remain
>[...]
>
>Nope, I read them.  :-)
>
>Believe it or not, we have customers who have huge source bases where
>all their files end in ^Zs.  Even if we didn't have ^Z as EOF, people
>would still run into the carriage return/line feed conversion part of
>the text mode != binary mode picture whenever binary files are read in
>text mode.
>
>Hopefully adding binary flags to some of the utilities will help...

I have submitted a patch to Sergey for cygwin.dll which incorporated a new
environment variable, CYGWIN32, to honor the following settable options:

	[no]title
	[no]tty
	[no]binmode

So, you could do the following:

	set CYGWIN32=notitle binmode
	bash

and bash would not update the title bars and would use binmode as the default
for opens.

I had intended to extend this to allow registry entries to be used which
would would be settable based on the path of the executing program.
That means that you could tell 'cat' to always operate in default
binmode and 'tar' to always operate in binmode.

Would this solve any problems?
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".